%define name suspend
%define version 0.8
%define cvs 20080612
%define rel 5
%if %{cvs}
%define distname %{name}-%{version}.%{cvs}
%define release %mkrel %{rel}
%else
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

# Not really used yet, so disable for now
%bcond_with	uclibc

Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{distname}.tar.bz2
Patch1: suspend-comment-configfile-options.diff
Patch3: suspend-default-compress.diff
Patch5: suspend-default-splash.diff
Patch10: suspend-use-input-device.diff
Patch13: suspend-0.80-vbetool-retry-on-errors.diff
Patch14: suspend-multithreaded-image-saving.diff
Patch15: suspend-0.80-suspend-output-to-logfile.diff
Patch70: suspend-0.80-whitelist-openSUSE11.diff
Patch100: suspend-0.8-no_s2ram_quirks.patch
Patch101: suspend-0.5-bootsplash.patch
Patch102: suspend-0.8.20080612-mdvcomment.patch
Patch103: suspend-0.8-printf_format.patch
Patch104: suspend-0.8.20080612-stopsplashy.patch
Patch105: suspend-plymouth.patch
Patch106: suspend-0.8.20080612-configure-gnu-source.patch
Patch107: suspend-plymouth-always-quit.patch

License: GPLv2
Group: System/Kernel and hardware
Url: http://suspend.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pciutils-devel libx86-devel liblzo-devel 
BuildRequires: zlib-devel
ExcludeArch: ppc
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend
Requires(post): mkinitrd
BuildRequires: plymouth-devel
%if %{with uclibc}
BuildRequires: uClibc-devel
%endif

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currenty suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%package doc
Summary: 	Documentation for %{name}
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}



%prep
%setup -q -n %{distname}
%patch1 -p1
%patch3 -p0
%patch5 -p0
%patch10 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p1
%patch70 -p1

#- Mandriva patches
%patch100 -p1 -b .no_s2ram_quirks
%patch101 -p1 -b .bootsplash
%patch102 -p1 -b .mdvcomment
%patch103 -p1 -b .printf_format
%patch104 -p1 -b .stopsplashy
%patch105 -p1 -b .plymouth
%patch106 -p1 -b .gnu_source~
%patch107 -p1 -b .plymouth-quit

#needed by patch105
libtoolize --force
autoreconf
%build
export CONFIGURE_TOP=`pwd`
%if %{with uclibc}
mkdir -p uclibc
cd uclibc
%configure2_5x \
  CC="%{uclibc_cc}" \
  CFLAGS="%{uclibc_cflags}" \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
cd ..
%endif

mkdir -p shared
cd shared
%configure2_5x \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
cd ..

%install
rm -rf %{buildroot}
install -d %{buildroot}{,%{uclibc_root}}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
%if %{with uclibc}
install -m755 uclibc/resume -D %{buildroot}%{uclibc_root}%{_libdir}/%{name}/resume
ln -sf %{uclibc_root}%{_libdir}/%{name}/resume %{buildroot}%{uclibc_root}%{_sbindir}/resume
%endif

%makeinstall_std -C shared
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%defattr(-,root,root)
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf
%if %{with uclibc}
%{uclibc_root}%{_sbindir}/resume
%{uclibc_root}%{_libdir}/%{name}/resume
%endif

%files s2ram
%defattr(-,root,root)
%{_sbindir}/s2ram


%files doc
%defattr(-,root,root)
%{_datadir}/doc/suspend/COPYING
%{_datadir}/doc/suspend/COPYING.GPL
%{_datadir}/doc/suspend/HOWTO
%{_datadir}/doc/suspend/README
%{_datadir}/doc/suspend/README.encryption
%{_datadir}/doc/suspend/README.s2ram-whitelist
%{_datadir}/doc/suspend/TODO



%changelog
* Mon May 31 2010 johnnyblack <johnnyblack at inbox.com> 0.8-5pclos2010
- sync to mdv for new plymouth
- fix resume when splash = n in suspend.conf
- Update plymouth patch to work with plymouth 0.8.x
- split doc files out

